# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/ShareDir.pm) perl(Module/Build.pm) perl(Test2/V0.pm) perl(Types/Standard.pm) perl(XS/Parse/Keyword.pm) perl(XS/Parse/Keyword/Builder.pm) perl(experimental.pm)
# END SourceDeps(oneline)
%define module_name Syntax-Keyword-Assert
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: assert keyword for Perl with zero runtime cost
Group: Development/Perl
License: perl
URL: https://github.com/kfly8/Syntax-Keyword-Assert

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KF/KFLY/%{module_name}-%{version}.tar.gz

%description
Syntax::Keyword::Assert provides a syntax extension for Perl that introduces a `assert' keyword.

By default assertions are enabled, but can be disabled by setting `$ENV{PERL_ASSERT_ENABLED}' to false before this module is loaded:

    BEGIN { $ENV{PERL_ASSERT_ENABLED} = 0 }  # Disable assertions

When assertions are disabled, the `assert' are completely ignored at compile phase, resulting in zero runtime cost. This makes Syntax::Keyword::Assert ideal for use in production environments, as it does not introduce any performance penalties when assertions are not needed.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.16-alt1
- initial import by package builder

